## ros-one-tf 1.13.4-0jammy.20251023.0425

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(tf)

find_package(catkin REQUIRED COMPONENTS
    angles
    geometry_msgs
    message_filters
    message_generation
    rosconsole
    roscpp
    rostime
    sensor_msgs
    std_msgs
    tf2_ros
)
find_package(Boost REQUIRED COMPONENTS thread system)

catkin_python_setup()

include_directories(
    include
    ${Boost_INCLUDE_DIR}
    ${catkin_INCLUDE_DIRS}
)

add_message_files(DIRECTORY msg FILES tfMessage.msg)
add_service_files(DIRECTORY srv FILES FrameGraph.srv)

generate_messages(DEPENDENCIES geometry_msgs sensor_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES ${PROJECT_NAME}
  CATKIN_DEPENDS geometry_msgs message_filters message_runtime roscpp sensor_msgs std_msgs tf2_ros rosconsole
)

add_library(${PROJECT_NAME}
    src/cache.cpp
    src/tf.cpp
    src/transform_broadcaster.cpp
    src/transform_listener.cpp
)
target_link_libraries(${PROJECT_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})
add_dependencies(${PROJECT_NAME} ${${PROJECT_NAME}_EXPORTED_TARGETS} ${catkin_EXPORTED_TARGETS})

# Debug
add_executable(tf_empty_listener src/empty_listener.cpp)
target_link_libraries(tf_empty_listener ${PROJECT_NAME})

add_executable(tf_echo src/tf_echo.cpp)
target_link_libraries(tf_echo ${PROJECT_NAME})

add_executable(tf_change_notifier src/change_notifier.cpp)
target_link_libraries(tf_change_notifier ${PROJECT_NAME})

add_executable(tf_monitor src/tf_monitor.cpp)
target_link_libraries(tf_monitor ${PROJECT_NAME})

add_executable(static_transform_publisher src/static_transform_publisher.cpp)
target_link_libraries(static_transform_publisher ${PROJECT_NAME})

# Tests
if(CATKIN_ENABLE_TESTING AND NOT ANDROID)

find_package(rostest REQUIRED)

catkin_add_gtest(tf_unittest test/tf_unittest.cpp)
target_include_directories(tf_unittest PRIVATE ${rostest_INCLUDE_DIRS})
target_link_libraries(tf_unittest ${PROJECT_NAME})

catkin_add_gtest(tf_quaternion_unittest test/quaternion.cpp)
target_link_libraries(tf_quaternion_unittest ${PROJECT_NAME})

catkin_add_gtest(test_transform_datatypes test/test_transform_datatypes.cpp)
target_link_libraries(test_transform_datatypes ${PROJECT_NAME} ${Boost_LIBRARIES})

add_executable(transform_listener_unittest test/transform_listener_unittest.cpp)
target_link_libraries(transform_listener_unittest ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/transform_listener_unittest.launch)

# Disabled because of changes in TransformStorage
#catkin_add_gtest_future(tf_unittest_future test/tf_unittest_future.cpp)
#target_link_libraries(tf_unittest_future ${PROJECT_NAME})

catkin_add_gtest(test_velocity test/velocity_test.cpp)
target_link_libraries(test_velocity ${PROJECT_NAME})

#add_executable(test_transform_twist test/transform_twist_test.cpp)
#target_link_libraries(test_transform_twist ${PROJECT_NAME})
#catkin_add_gtest_build_flags(test_transform_twist)
#add_rostest(test/transform_twist_test.launch)

catkin_add_gtest(cache_unittest test/cache_unittest.cpp)
target_link_libraries(cache_unittest ${PROJECT_NAME})

add_executable(test_message_filter EXCLUDE_FROM_ALL test/test_message_filter.cpp)
target_link_libraries(test_message_filter tf ${Boost_LIBRARIES} ${GTEST_LIBRARIES})
add_rostest(test/test_message_filter.xml)


### Benchmarking
#catkin_add_gtest_future(tf_benchmark test/tf_benchmark.cpp)
#target_link_libraries(tf_benchmark ${PROJECT_NAME})

add_executable(testListener test/testListener.cpp)
target_link_libraries(testListener ${PROJECT_NAME} ${GTEST_LIBRARIES})
add_rostest(test/test_broadcaster.launch)

add_executable(testBroadcaster test/testBroadcaster.cpp)
target_link_libraries(testBroadcaster ${PROJECT_NAME})

catkin_add_nosetests(test/testPython.py) 
add_executable(tf_speed_test EXCLUDE_FROM_ALL test/speed_test.cpp)
target_link_libraries(tf_speed_test ${PROJECT_NAME})

if(TARGET tests)
    add_dependencies(tests testBroadcaster testListener transform_listener_unittest test_message_filter)
endif()

endif() # CATKIN_ENABLE_TESTING AND NOT ANDROID

install(DIRECTORY include/${PROJECT_NAME}/
    DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

# Install library
install(TARGETS ${PROJECT_NAME}
    ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
    RUNTIME DESTINATION ${CATKIN_GLOBAL_BIN_DESTINATION}
)

# Install executable
install(TARGETS tf_echo tf_empty_listener tf_change_notifier tf_monitor static_transform_publisher
    RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

# Install rosrun-able scripts
catkin_install_python(PROGRAMS
  scripts/bullet_migration_sed.py
  scripts/tf_remap
  scripts/view_frames
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION} )

=== debian/changelog ===
ros-one-tf (1.13.4-0jammy.20251023.0425) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 23 Oct 2025 04:25:21 +0000

ros-one-tf (1.13.4-0jammy) jammy; urgency=high

  * Updates for Ubuntu 22 (#233 <https://github.com/ros/geometry/issues/233>)
  * Contributors: Jochen Sprickerhof

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-one-tf (1.13.3-0jammy) jammy; urgency=high

  * Drop nonexistent rosmake doc builder. (#235 <https://github.com/ros/geometry/issues/235>)
  * Removes extra semicolon for function definitions (#240 <https://github.com/ros/geometry/issues/240>)
  * Fix quaternion_from_euler modifying the input in some cases (#241 <https://github.com/ros/geometry/issues/241>)
  * Add deprecation warning to tf view_frames. (#217 <https://github.com/ros/geometry/issues/217>)
  * Fixed typo Traonsform -> Transform (#224 <https://github.com/ros/geometry/issues/224>)
  * Fix view_frames by removing legacy version check. (#222 <https://github.com/ros/geometry/issues/222>)
  * Contributors: Artur Miller, Kenji Brameld (TRACLabs), Michael Grupp, Mike Purvis, Salih Marangoz, lauralindzey

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-tf (1.13.2-0jammy) jammy; urgency=high

  * fix shebang line for python3 (#212 <https://github.com/ros/geometry/issues/212>)
  * Contributors: Mikael Arguedas

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 00:00:00 -0000

ros-one-tf (1.13.1-0jammy) jammy; urgency=high

  * Fix ring45 test expectations (#211 <https://github.com/ros/geometry/issues/211>)
    Copying https://github.com/ros/geometry2/commit/04625380bdff3f3e9e860fc0e85f71674ddd1587
  * import setup from setuptools instead of distutils-core (#209 <https://github.com/ros/geometry/issues/209>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-one-tf (1.13.0-0jammy) jammy; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf (1.12.1-0jammy) jammy; urgency=high

  * Use process_time() for Python 3.8 compatibility (#205 <https://github.com/ros/geometry/issues/205>)
  * Bump CMake version to avoid CMP0048 warning (#204 <https://github.com/ros/geometry/issues/204>)
  * Add rostest include dirs (#195 <https://github.com/ros/geometry/issues/195>)
  * Remove trailing semicolons from tf sources (#187 <https://github.com/ros/geometry/issues/187>)
    * [tf] Removed trailing semicolons after functions from all sources
    Used the -Wpedantic compiler flag to find all occurrences
  * Allow to choose output precision in tf_echo (#186 <https://github.com/ros/geometry/issues/186>)
    * Allow to choose output precision in tf_echo
  * update how c++11 requirement is added (#184 <https://github.com/ros/geometry/issues/184>)
  * update install destination in CMakeLists.txt (#183 <https://github.com/ros/geometry/issues/183>)
    * export binary to right locations
    * specify archive and runtime destinations, update whitespace (#5 <https://github.com/ros/geometry/issues/5>)
  * add visibility macro
  * windows bring up, use ROS_DEPRECATED
  * Remove signals from find_package(Boost COMPONENTS ...)
  * fixing error of casting away constness in  method void tfSwapScalarEndian(const tfScalar& sourceVal, tfScalar& destVal) in line 626 of Vector3.h (#179 <https://github.com/ros/geometry/issues/179>)
  * Fix log output typo: message_notifier -> message_filter (#177 <https://github.com/ros/geometry/issues/177>)
    Almost all the log outputs use message_filter, except one. The warning
    text still referred to message_notifier. This commit fixes that.
  * Contributors: C-NR, James Xu, Maarten de Vries, Martin Günther, Shane Loretz, Victor Lamoine, Yoshua Nava

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf (1.12.0-0jammy) jammy; urgency=high

  * Adapt to new xmlrpcpp header location (#164 <https://github.com/ros/geometry/issues/164>)
  * Maintain & expose tf2 Buffer in shared_ptr for tf (#163 <https://github.com/ros/geometry/issues/163>)
    - Adds a tf2_ros::Buffer via a public accessor
    method to expose to customers of Transformer
    - Maintains the tf2_ros::Buffer in a shared_ptr
    to safely share access to the Buffer object
    - As this is targeting Melodic, adds c++11 compile
    flags to grant access to std::shared_ptr's
    - Reorders the include_directories in the CMakeLists
    to ensure the headers exposed in this package are
    read *before* the system installed catkin_INCLUDE_DIRS
    (otherwise changes to tf source headers are never detected
    during a catkin_make on a system with ros-*-geometry
    installed)
  * Prevent rates that result in core dump (0.0) or no limit on update rate at all (<0.0) #159 <https://github.com/ros/geometry/issues/159> (#160 <https://github.com/ros/geometry/issues/160>)
  * Fix empty yaml parsing (#153 <https://github.com/ros/geometry/issues/153>)
    Fixes #152 <https://github.com/ros/geometry/issues/152>
    The empty yaml was coming through as a list not a dict so was breaking the expectations.
    I used the shorthand or {} since I know any valid data won't evaluate to zero. A more complete solution is described here: https://stackoverflow.com/a/35777649/604099
  * Make python scripts Python3 compatible. (#151 <https://github.com/ros/geometry/issues/151>)
    * Python 3 fixes
    * Prefer str.format over operator % and small python3 fixes.
  * Contributors: Ian McMahon, Lucas Walter, Maarten de Vries, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-tf (1.11.9-0jammy) jammy; urgency=high

  * Replace legacy python code with appropriate calls to tf2_ros (#149 <https://github.com/ros/geometry/issues/149>) (#134 <https://github.com/ros/geometry/issues/134>)


## ros-one-tf 1.13.4-0jammy.20251207.2111

=== debian/changelog ===
ros-one-tf (1.13.4-0jammy.20251207.2111) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sun, 07 Dec 2025 21:11:29 +0000

## ros-one-tf 1.13.4-0jammy.20260221.0057

=== debian/changelog ===
ros-one-tf (1.13.4-0jammy.20260221.0057) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Feb 2026 00:57:32 +0000

## ros-one-tf 1.13.4-0noble.20251023.0422

=== debian/changelog ===
ros-one-tf (1.13.4-0noble.20251023.0422) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 23 Oct 2025 04:22:47 +0000

ros-one-tf (1.13.4-0noble) noble; urgency=high

  * Updates for Ubuntu 22 (#233 <https://github.com/ros/geometry/issues/233>)
  * Contributors: Jochen Sprickerhof

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 25 Apr 2025 00:00:00 -0000

ros-one-tf (1.13.3-0noble) noble; urgency=high

  * Drop nonexistent rosmake doc builder. (#235 <https://github.com/ros/geometry/issues/235>)
  * Removes extra semicolon for function definitions (#240 <https://github.com/ros/geometry/issues/240>)
  * Fix quaternion_from_euler modifying the input in some cases (#241 <https://github.com/ros/geometry/issues/241>)
  * Add deprecation warning to tf view_frames. (#217 <https://github.com/ros/geometry/issues/217>)
  * Fixed typo Traonsform -> Transform (#224 <https://github.com/ros/geometry/issues/224>)
  * Fix view_frames by removing legacy version check. (#222 <https://github.com/ros/geometry/issues/222>)
  * Contributors: Artur Miller, Kenji Brameld (TRACLabs), Michael Grupp, Mike Purvis, Salih Marangoz, lauralindzey

 -- Tully Foote <tfoote@osrfoundation.org>  Thu, 10 Apr 2025 00:00:00 -0000

ros-one-tf (1.13.2-0noble) noble; urgency=high

  * fix shebang line for python3 (#212 <https://github.com/ros/geometry/issues/212>)
  * Contributors: Mikael Arguedas

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Jun 2020 00:00:00 -0000

ros-one-tf (1.13.1-0noble) noble; urgency=high

  * Fix ring45 test expectations (#211 <https://github.com/ros/geometry/issues/211>)
    Copying https://github.com/ros/geometry2/commit/04625380bdff3f3e9e860fc0e85f71674ddd1587
  * import setup from setuptools instead of distutils-core (#209 <https://github.com/ros/geometry/issues/209>)
  * Contributors: Alejandro Hernández Cordero, Shane Loretz

 -- Tully Foote <tfoote@osrfoundation.org>  Fri, 15 May 2020 00:00:00 -0000

ros-one-tf (1.13.0-0noble) noble; urgency=high



 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf (1.12.1-0noble) noble; urgency=high

  * Use process_time() for Python 3.8 compatibility (#205 <https://github.com/ros/geometry/issues/205>)
  * Bump CMake version to avoid CMP0048 warning (#204 <https://github.com/ros/geometry/issues/204>)
  * Add rostest include dirs (#195 <https://github.com/ros/geometry/issues/195>)
  * Remove trailing semicolons from tf sources (#187 <https://github.com/ros/geometry/issues/187>)
    * [tf] Removed trailing semicolons after functions from all sources
    Used the -Wpedantic compiler flag to find all occurrences
  * Allow to choose output precision in tf_echo (#186 <https://github.com/ros/geometry/issues/186>)
    * Allow to choose output precision in tf_echo
  * update how c++11 requirement is added (#184 <https://github.com/ros/geometry/issues/184>)
  * update install destination in CMakeLists.txt (#183 <https://github.com/ros/geometry/issues/183>)
    * export binary to right locations
    * specify archive and runtime destinations, update whitespace (#5 <https://github.com/ros/geometry/issues/5>)
  * add visibility macro
  * windows bring up, use ROS_DEPRECATED
  * Remove signals from find_package(Boost COMPONENTS ...)
  * fixing error of casting away constness in  method void tfSwapScalarEndian(const tfScalar& sourceVal, tfScalar& destVal) in line 626 of Vector3.h (#179 <https://github.com/ros/geometry/issues/179>)
  * Fix log output typo: message_notifier -> message_filter (#177 <https://github.com/ros/geometry/issues/177>)
    Almost all the log outputs use message_filter, except one. The warning
    text still referred to message_notifier. This commit fixes that.
  * Contributors: C-NR, James Xu, Maarten de Vries, Martin Günther, Shane Loretz, Victor Lamoine, Yoshua Nava

 -- Tully Foote <tfoote@osrfoundation.org>  Tue, 10 Mar 2020 00:00:00 -0000

ros-one-tf (1.12.0-0noble) noble; urgency=high

  * Adapt to new xmlrpcpp header location (#164 <https://github.com/ros/geometry/issues/164>)
  * Maintain & expose tf2 Buffer in shared_ptr for tf (#163 <https://github.com/ros/geometry/issues/163>)
    - Adds a tf2_ros::Buffer via a public accessor
    method to expose to customers of Transformer
    - Maintains the tf2_ros::Buffer in a shared_ptr
    to safely share access to the Buffer object
    - As this is targeting Melodic, adds c++11 compile
    flags to grant access to std::shared_ptr's
    - Reorders the include_directories in the CMakeLists
    to ensure the headers exposed in this package are
    read *before* the system installed catkin_INCLUDE_DIRS
    (otherwise changes to tf source headers are never detected
    during a catkin_make on a system with ros-*-geometry
    installed)
  * Prevent rates that result in core dump (0.0) or no limit on update rate at all (<0.0) #159 <https://github.com/ros/geometry/issues/159> (#160 <https://github.com/ros/geometry/issues/160>)
  * Fix empty yaml parsing (#153 <https://github.com/ros/geometry/issues/153>)
    Fixes #152 <https://github.com/ros/geometry/issues/152>
    The empty yaml was coming through as a list not a dict so was breaking the expectations.
    I used the shorthand or {} since I know any valid data won't evaluate to zero. A more complete solution is described here: https://stackoverflow.com/a/35777649/604099
  * Make python scripts Python3 compatible. (#151 <https://github.com/ros/geometry/issues/151>)
    * Python 3 fixes
    * Prefer str.format over operator % and small python3 fixes.
  * Contributors: Ian McMahon, Lucas Walter, Maarten de Vries, Tully Foote

 -- Tully Foote <tfoote@osrfoundation.org>  Wed, 02 May 2018 00:00:00 -0000

ros-one-tf (1.11.9-0noble) noble; urgency=high

  * Replace legacy python code with appropriate calls to tf2_ros (#149 <https://github.com/ros/geometry/issues/149>) (#134 <https://github.com/ros/geometry/issues/134>)


=== debian/control ===
Source: ros-one-tf
Section: misc
Priority: optional
Maintainer: Tully Foote <tfoote@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-one-angles, ros-one-catkin (>= 0.6.4), ros-one-geometry-msgs, ros-one-message-filters, ros-one-message-generation, ros-one-rosconsole, ros-one-roscpp, ros-one-rostime, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2-ros (>= 0.5.16)
Homepage: http://www.ros.org/wiki/tf
Standards-Version: 3.9.2

Package: ros-one-tf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, graphviz, ros-one-geometry-msgs, ros-one-message-filters (>= 1.11.1), ros-one-message-runtime, ros-one-rosconsole, ros-one-roscpp, ros-one-roswtf, ros-one-sensor-msgs, ros-one-std-msgs, ros-one-tf2-ros (>= 0.5.16)
Description: tf is a package that lets the user keep track of multiple coordinate frames over time.
 tf maintains the relationship between coordinate frames in a tree structure buffered in time, and lets the user transform points, vectors, etc between any two coordinate frames at any desired point in time. Migration: Since ROS Hydro, tf has been &quot;deprecated&quot; in favor of tf2. tf2 is an iteration on tf providing generally the same feature set more efficiently. As well as adding a few new features. As tf2 is a major change the tf API has been maintained in its current form. Since tf2 has a superset of the tf features with a subset of the dependencies the tf implementation has been removed and replaced with calls to tf2 under the hood. This will mean that all users will be compatible with tf2. It is recommended for new work to use tf2 directly as it has a cleaner interface. However tf will continue to be supported for through at least J Turtle.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-tf//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-tf 1.13.4-0noble.20251208.0813

=== debian/changelog ===
ros-one-tf (1.13.4-0noble.20251208.0813) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Mon, 08 Dec 2025 08:13:35 +0000

## ros-one-tf 1.13.4-0noble.20260221.0131

=== debian/changelog ===
ros-one-tf (1.13.4-0noble.20260221.0131) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Tully Foote <tfoote@osrfoundation.org>  Sat, 21 Feb 2026 01:31:31 +0000
